Subject: [os2genau_digest] No. 1138
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 5 Jul 2005 00:02:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 04 July 2005
 Number  1138
**************************************************

Subjects for today
 
1  Re:  Partition corruption : Mike O'Connor" <mikeoc at internode.on dot net>
2  Re:  Partition corruption : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Partition corruption : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Partition corruption : Mike O'Connor" <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Mon, 04 Jul 2005 04:14:51 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Partition corruption

Alan Duval wrote:

> Mike O'Connor wrote:
>
>> Hi Alan,
>>
>> Setting type as AUTO should suffice. If not set as CD-ROM.
>> Didn't you see my response that preceded Ed's? There is a setting on 
>> another BIOS screen that allows selective disabling of either or both 
>> onboard IDE controllers.
>
> Hi Mike,
>
> Yes! Thanks for the suggestion. I think i've found it in the advanced 
> page of the BIOS. Had missed it before.
> There is an entry:
> Local BUS IDE ADAPTER with the default - BOTH.
> The other options are:
> Primary
> Secondary
> Disabled
>
> I have DANI 506 installed and had a look at the switches.
>
> Now i'll have to get an adapter card and see whether it cures the 
> problem.
>
> Thanks,

Hi Alan,

Yes. That's the one. Although I've had no SATA motherboards, I've not 
encountered a BIOS yet that didn't have that option.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 04 Jul 2005 07:31:24 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Partition corruption

Alan Duval wrote:

> Ed wrote
>
>>>
>> A PC usually has two EIDE (also perhaps referred to as ATA66, ATA33 
>> or ATA100 ? or PATA ? in your manual). On these two ports you can 
>> support two devices a primary and a secondary. Hence a total of 4 
>> devices. There are add in cards, I believe that can support  3 
>> channels (hence 6 devices).
>>
>> I don't know your motherboard, however I would expect the ability to 
>> disable the onboard EIDE controllers would either be in the CMOS 
>> setup (most likely) or have a switch or jumper on the motherboard 
>> (less likely). The manual will tell you.
>>
> Hi Ed,
>
> The only place I can see to disable the IDE control is in the BIOS. In 
> the main menu it has  Primary Master, Primary Slave, Secondary Master 
> and Secondary Slave.
> The options for these are:
> None
> Auto
> User type HDD
> CD-ROM
> LS-120
> ZIP-100
> MO
> Other ATAPI Device
>
> So if I select None  when a PCI EIDE adapter is installed will the 
> adapter do the controlling?
> BTW  should I have CD-ROM or OTHER ATAPI DEVICE  selected for a DVD RW 
> drive?
>
> Regards,
>
> Alan
 
>
> 

>
Set these settings to None and the BIOS on the PCI EIDE adapter card 
will take care of handling the devices.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 04 Jul 2005 07:35:54 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Partition corruption

Alan Duval wrote:

> Mike O'Connor wrote:
>
>>
>> Hi Alan,
>>
>> Setting type as AUTO should suffice. If not set as CD-ROM.
>> Didn't you see my response that preceded Ed's? There is a setting on 
>> another BIOS screen that allows selective disabling of either or both 
>> onboard IDE controllers.
>>
> Hi Mike,
>
> Yes! Thanks for the suggestion. I think i've found it in the advanced 
> page of the BIOS. Had missed it before.
> There is an entry:
> Local BUS IDE ADAPTER with the default - BOTH.
> The other options are:
> Primary
> Secondary
> Disabled
>
> I have DANI 506 installed and had a look at the switches.
>
> Now i'll have to get an adapter card and see whether it cures the 
> problem.
>
> Thanks,
>
> Alan
 
>
> 

>
I didn't realise in my previous reply that you were "one level lower" - 
Mike has guided you correctly on this, what we want to do is diable the 
complete on-board controller - the other settings were only specicfic to 
individual ports. Depending upon which PCI EIDE card you get, there may 
or may not be settings for it - most likely it comes set to the 
equivalent of "auto" anyway, so you should be able to install it, move 
the cables, disable the onboard EIDE controllers through the BIOS Cmos 
settings, reboot and then check in the Bios that the devices can now be 
seen via the new card.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 04 Jul 2005 07:59:51 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Partition corruption

Ed Durrant wrote:

> Alan Duval wrote:
>
>> Ed wrote
>>
>>> A PC usually has two EIDE (also perhaps referred to as ATA66, ATA33 
>>> or ATA100 ? or PATA ? in your manual). On these two ports you can 
>>> support two devices a primary and a secondary. Hence a total of 4 
>>> devices. There are add in cards, I believe that can support  3 
>>> channels (hence 6 devices).
>>>
>>> I don't know your motherboard, however I would expect the ability to 
>>> disable the onboard EIDE controllers would either be in the CMOS 
>>> setup (most likely) or have a switch or jumper on the motherboard 
>>> (less likely). The manual will tell you.
>>
>> Hi Ed,
>>
>> The only place I can see to disable the IDE control is in the BIOS. 
>> In the main menu it has  Primary Master, Primary Slave, Secondary 
>> Master and Secondary Slave.
>> The options for these are:
>> None
>> Auto
>> User type HDD
>> CD-ROM
>> LS-120
>> ZIP-100
>> MO
>> Other ATAPI Device
>>
>> So if I select None  when a PCI EIDE adapter is installed will the 
>> adapter do the controlling?
>> BTW  should I have CD-ROM or OTHER ATAPI DEVICE  selected for a DVD 
>> RW drive?
>
> Set these settings to None and the BIOS on the PCI EIDE adapter card 
> will take care of handling the devices.
>
> Cheers/2

Hi Ed, Alan,

Note that just setting a drive to "none" on the first page of the BIOS 
settings doesn't mean that this drive is not visible to OS/2-eCS. My 
experience is that the drivers -  IBMS506.ADD / DANIS506.ADD will still 
see it, as they actually query the ports 0x01F0 and 0x0170 on the actual 
onboard controllers. To have attached drives invisible to OS/2-eCS on 
those controllers it is necessary to disable the actual controllers in 
the BIOS.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------